Skip to content

Create a checkout redirect

POST
/checkout-redirects
curl --request POST \
--url https://acme.mykreezalid.com/api/v1/checkout-redirects \
--header 'Authorization: Basic <credentials>' \
--header 'Content-Type: application/json' \
--data '{ "checkout_step": "cart", "redirect_url": "https://example.com/checkout-extra", "status": "active" }'

Creates a checkout redirect.

Media typeapplication/json
object
checkout_step
required
string
Allowed values: cart shipping
redirect_url
string

Example

https://example.com/checkout-extra
status
required
string
Allowed values: active inactive

The new redirect

Media typeapplication/json

A redirect of the checkout to your own page.

object
totalResultsCount

Number of results across all pages.

integer
currentPage

Number of the page returned, starting at 1.

integer
nextPage

Whether a next page exists.

boolean
prevPage

Whether a previous page exists.

boolean
resultOnPageCount

Number of results on this page.

integer
pageCount

Number of pages.

integer
id
integer
object

Returned when you retrieve or create one redirect, not in the list

string
checkout_step

Step after which the customer is redirected

string
Allowed values: cart shipping
redirect_url

Your page

string
status
string
Allowed values: active inactive
created
string format: date-time

Example

{
"totalResultsCount": 137,
"currentPage": 1,
"resultOnPageCount": 25,
"pageCount": 6,
"id": 4242,
"object": "CheckoutRedirect",
"checkout_step": "cart",
"redirect_url": "https://example.com/checkout-extra",
"status": "active"
}

checkout_step or status is missing or not one of the values listed, or the redirect could not be saved.

Media typeapplication/json

Error body returned when the API refuses a request.

object
code

HTTP status code, repeated in the body.

integer
status
string
message
string

Example

{
"code": 400,
"status": "error",
"message": "Some parameters are not correct"
}